function y = factorial(x)

% FACTORIAL --  factorial function
%
%      y = factorial(x)
%
% where
%
%      factorial(n) = n! = 1 * 2 * 3 * ... * n
%
% If x is a vector or matrix, this computes the factorial of each
% entry.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

y = gamma(x+1);
