function yesno = ismonomial(P)

% ISMONOMIAL -- check whether matrix polynomial is a monomial
%
%       yesno = ismonomial(P)

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

P = trim(P);
yesno = (size(P.coef,3) == 1);
