% TEST_DOUBLE -- test the subroutines in the @double directory

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

disp('testing routines in mw/@double');
disp(' ');

A = eye(2);
B = zeros(2);

% test isidentity
if (isidentity(A) & ~isidentity(B))
    disp('OK - isidentity');
else
    error('failed: isidentity');
end

% test issingular
if (~issingular(A) & issingular(B))
    disp('OK - issingular');
else
    error('failed: issingular');
end

% test issymbolic
if (~issymbolic(A) & ~issymbolic(B))
    disp('OK - issymbolic');
else
    error('failed: issymbolic');
end

% test iszero
if (~iszero(A) & iszero(B))
    disp('OK - iszero');
else
    error('failed: iszero');
end


